Package ru.bitel.bgbilling.kernel.contract.script.server.bean

# Class ContractScriptLogDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<ContractScriptLog>
ru.bitel.bgbilling.kernel.contract.script.server.bean.ContractScriptLogDao

public class ContractScriptLogDao extends ru.bitel.bgbilling.common.dao.AbstractDao<ContractScriptLog>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractScriptLogDao(Connection con, String tableName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ContractScriptLog`
  `getFromRS(ResultSet rs)`
  `List<ContractScriptLog>`
  `getScriptLogList(int contractId, Period period)`
  Возвращает полный список логов скриптов договора за определенный период
  `List<ContractScriptLog>`
  `getScriptLogList(int contractId, Period period, String title, Page page)`
  Возвращает постраничный список логов скриптов договора за определенный период
  `List<String>`
  `getScriptLogTitleList(int contractId, Period period)`
  `protected void`
  `updateImpl(ContractScriptLog b)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractScriptLogDao

    public ContractScriptLogDao(Connection con, String tableName)

- ## Method Details

  - ### getScriptLogTitleList

    public List<String> getScriptLogTitleList(int contractId, Period period) throws SQLException
    Parameters:
      `contractId` - - код договора.
      `period` - - период.
    Returns:
      - не повторяющийся список названий выполнившихся скриптов.
    Throws:
      `SQLException`

  - ### getScriptLogList

    public List<ContractScriptLog> getScriptLogList(int contractId, Period period) throws SQLException
    Возвращает полный список логов скриптов договора за определенный период
    Parameters:
      `contractId` - код договора
      `period` - - период
    Returns:
      список
    Throws:
      `SQLException`

  - ### getScriptLogList

    public List<ContractScriptLog> getScriptLogList(int contractId, Period period, String title, Page page) throws SQLException
    Возвращает постраничный список логов скриптов договора за определенный период
    Parameters:
      `contractId` - код договора
      `period` - период
      `page` - страница
    Returns:
      список
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(ContractScriptLog b) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ContractScriptLog>`
    Throws:
      `SQLException`

  - ### getFromRS

    protected ContractScriptLog getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ContractScriptLog>`
    Throws:
      `SQLException`